package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.RPCBody;
import io.accumulatenetwork.sdk.protocol.Url;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("SignatureBook")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SignatureBook implements RPCBody {
	private Url authority;
	private SignaturePage[] pages;

    //
	public Url getAuthority() {
	    return authority;
	}
	public void setAuthority(final Url value) {
	    this.authority = value;
	}

	public SignatureBook authority(final Url value) {
	    setAuthority(value);
	    return this;
	}
	public SignatureBook authority(final String value) {
	    setAuthority(Url.toAccURL(value));
	    return this;
	}
	public SignaturePage[] getPages() {
	    return pages;
	}
	public void setPages(final SignaturePage[] value) {
	    this.pages = value;
	}

	public SignatureBook pages(final SignaturePage[] value) {
	    setPages(value);
	    return this;
	}
}
